#include <bits/stdc++.h>

using namespace std;

vector<int> num;

int main()
{
    int n;
    cin >> n;

    for(int i = 0; i < n; i++)
    {
        int a;
        cin >> a;
        num.push_back(a);
    }

    int zam = -1;
    int poz;
    int p;
    int close = false;

    if(n == 2)
    {
        cout << num[1] << " " << num[0] << '\n';
    }
    else
    {
        for(int i = 0; i < n - 1; i++)
        {
            for(int j = i + 1; j < n; j++)
            {
                if((num[j] > num[i]) && (num[j] >= zam))
                {
                    poz = j;
                    zam = num[j];
                }
            }

            if(zam != -1)
            {
                p = zam;
                num[poz] = num[i];
                num[i] = p;
                close = true;
                break;
            }

            if(close)
            {
                break;
            }
        }
        for(int i = 0; i < n; i++)
        {
        cout << num[i] << " ";
        }
        cout << '\n';

    }


    return 0;
}